# Generated by Django 3.2.2 on 2021-08-09 14:26

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
    ]

    operations = [
        migrations.CreateModel(
            name='Measure',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('code', models.CharField(max_length=64, verbose_name='编码')),
                ('name', models.CharField(max_length=64, verbose_name='名称')),
                ('description', models.TextField(blank=True, default='', verbose_name='描述')),
                ('query_str', models.CharField(blank=True, default='', max_length=255, verbose_name='查询语句')),
                ('agg_str', models.CharField(blank=True, default='', max_length=255, verbose_name='计算语句')),
                ('time_field', models.CharField(blank=True, default='', max_length=64, verbose_name='时间字段')),
                ('is_active', models.BooleanField(blank=True, default=True, verbose_name='有效')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='创建时间')),
                ('update_time', models.DateTimeField(auto_now=True, verbose_name='创建时间')),
                ('content_type', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='stats_measures', to='contenttypes.contenttype', verbose_name='归类')),
            ],
            options={
                'verbose_name': '度量',
                'verbose_name_plural': '度量',
                'unique_together': {('content_type', 'code')},
            },
        ),
        migrations.CreateModel(
            name='Report',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=64, unique=True, verbose_name='名称')),
                ('is_active', models.BooleanField(blank=True, default=True, verbose_name='有效')),
                ('description', models.TextField(blank=True, default='', verbose_name='描述')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='创建时间')),
                ('update_time', models.DateTimeField(auto_now=True, verbose_name='创建时间')),
            ],
            options={
                'verbose_name': '报表',
                'verbose_name_plural': '报表',
            },
        ),
        migrations.CreateModel(
            name='ReportMeasure',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, default='', max_length=64, verbose_name='名称')),
                ('order_num', models.PositiveIntegerField(blank=True, default=0, verbose_name='序号')),
                ('measure', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='report_relations', to='stats.measure', verbose_name='度量')),
                ('report', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='measure_relations', to='stats.report', verbose_name='报表')),
            ],
            options={
                'verbose_name': '报表字段',
                'verbose_name_plural': '报表字段',
                'unique_together': {('report', 'measure')},
            },
        ),
        migrations.AddField(
            model_name='report',
            name='measures',
            field=models.ManyToManyField(blank=True, null=True, related_name='reports', through='stats.ReportMeasure', to='stats.Measure', verbose_name='度量'),
        ),
    ]
